Package ghidra.app.decompiler.component

# Class DecompilerProgramListener

java.lang.Object
ghidra.app.decompiler.component.DecompilerProgramListener

All Implemented Interfaces:
  `DomainObjectListener`, `EventListener`

public class DecompilerProgramListener extends Object implements DomainObjectListener
Listener of `Program` events for decompiler panels. Program events are buffered using a `SwingUpdateManager` before triggering a new decompile process.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecompilerProgramListener(DecompilerController controller, SwingUpdateManager updater)`
  Construct a listener with a SwingUpdateManger that should be kicked for every program change.
  `DecompilerProgramListener(DecompilerController controller, Runnable callback)`
  Construct a listener with a callback to be called when a decompile should occur.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `void`
  `domainObjectChanged(DomainObjectChangedEvent ev)`
  Method called when a change is made to the domain object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecompilerProgramListener

    public DecompilerProgramListener(DecompilerController controller, Runnable callback)
    Construct a listener with a callback to be called when a decompile should occur. Program events are buffered using SwingUpdateManager before the callback is called.
    Parameters:
      `controller` - the DecompilerController
      `callback` - the callback for when the decompile should be refreshed.

  - ### DecompilerProgramListener

    public DecompilerProgramListener(DecompilerController controller, SwingUpdateManager updater)
    Construct a listener with a SwingUpdateManger that should be kicked for every program change.
    Parameters:
      `controller` - the DecompilerController
      `updater` - A SwingUpdateManger to be kicked as program events are received which will eventually trigger a decompile refresh.

- ## Method Details

  - ### domainObjectChanged

    public void domainObjectChanged(DomainObjectChangedEvent ev)
    Description copied from interface: `DomainObjectListener`
    Method called when a change is made to the domain object.
    Specified by:
      `domainObjectChanged` in interface `DomainObjectListener`
    Parameters:
      `ev` - event containing the change record and type of change that was made

  - ### dispose

    public void dispose()